Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79457 - neat crashes if host file is misconfigured
Summary: neat crashes if host file is misconfigured
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-12-11 19:53 UTC by Gerald W. Lester
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-05 08:31:12 UTC


Attachments (Terms of Use)

Description Gerald W. Lester 2002-12-11 19:53:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
If an IP address occurs twice in the host file or if a name is associated with
two different IP address, neat dies when attempting to save a configuration
(even if the host file was not touched).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Duplicate a line in /etc/hosts
2.Change the names on the line
3.Start redhat-configure-network
4.Change which devices are in the profile
5.Press "Apply"
	

Actual Results:  Neat gives a Python stack trace.

Expected Results:  Changes to be applied.

Additional info:

Comment 1 Harald Hoyer 2003-01-13 14:48:03 UTC
please provide the traceback text


Note You need to log in before you can comment on or make changes to this bug.